﻿using System;

namespace RTCommunicatorBase;

public class DataQueryCondition
{
    public DateTime StartTime { get; set; }
    public DateTime EndTime { get; set; }
    public byte Mini8Index { get; set; }
    public byte ChannelIndex { get; set; }
}

public enum AlarmType
{
    Undefined = 0,
    CapsOverFlow = 1,
    FloorOverFlow = 2,
    TcBroken = 3
}

public struct ST_ALARM
{
    public byte Mini8Index { get; set; }
    public byte ChannelIndex { get; set; }
    public float PV { get; set; }
    public float Caps { get; set; }
    public float Floor { get; set; }
    public AlarmType AlarmType { get; set; }
}