﻿global using Microsoft.Extensions.Hosting;
global using Microsoft.AspNetCore.Builder;
global using Microsoft.AspNetCore.SignalR;
global using Microsoft.Extensions.DependencyInjection;

global using GeneralData;
global using HardwareData;
global using TemperatureConfigFile;

global using MinicsConsole.Hubs.RT;
global using MinicsConsole.Hubs.UI;

global using MinicsConsole.Hubs;
global using MinicsConsole.Helper;
global using MinicsConsole.Connector;
global using MinicsConsole.Business;
global using MinicsConsole.Connector.Base;
global using Mini8Communicator;
global using Mini8CommunicatorData;

global using ORM;
global using SqlSugarORM;

global using Mapster;
global using ConfigOperator;

global using TLVProtocal;
global using UniversalNetFrame451.IO;

global using Universal;
global using Log;
global using DBData;
global using RealtimeData;
global using Universal.IO;

global using System.IO;
global using System.Text;
global using System.Windows;
global using System.Text.Json;
global using System.Collections.Concurrent;