﻿using GeneralData;

namespace TemperatureConfigFile;

public class ChannelConfig
{
    public byte Index { get; set; }

    public float Caps { get; set; }
    public float Floor { get; set; }
    public float CapsWarning { get; set; }
    public float FloorWarning { get; set; }
    public int DelayMillionSeconds { get; set; }
    public ChannelMode ChannelMode { get; set; }

    public float SetPoint { get; set; }

    public ActiveTuneSet ActiveTuneSet { get; set; }
    public float Running_P { get; set; }
    public float Running_I { get; set; }
    public float Running_D { get; set; }
    public Inhibit Inhibit { get; set; }

    public float SetpointUpRate { get; set; }
    public float SetpointDownRate { get; set; }
}