﻿using HardwareData;
using System.Collections.Concurrent;

namespace RealtimeData;

public class Hardwares
{
    public ConcurrentDictionary<byte, Mini8Data> Mini8s { get; set; } = [];
    public ConcurrentDictionary<byte, ConcurrentDictionary<byte, ChannelData>> Mini8Channels { get; set; } = [];
}

public class HardwareAddress
{
    public ConcurrentDictionary<byte, Mini8Address> Mini8sAddress { get; set; } = [];
    public ConcurrentDictionary<byte, ConcurrentDictionary<byte, ChannelAddress>> Mini8ChannelsAddress { get; set; } = [];

    public PLCAddress? PLCAddress { get; set; }
    public ConcurrentDictionary<byte, ConcurrentDictionary<byte, ChannelAddressPLC>> PLCChannelsAddresses { get; set; } = [];
}