﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HistoryView.Controls
{
    /// <summary>
    /// Interaction logic for UserInfo.xaml
    /// </summary>
    public partial class UserInfo : UserControl
    {
        public UserInfo()
        {
            InitializeComponent();
        }

        public ICommand SwitchUserCommand
        {
            get { return (ICommand)GetValue(SwitchUserCommandProperty); }
            set { SetValue(SwitchUserCommandProperty, value); }
        }

        // Using a DependencyProperty as the backing store for SwitchUserCommand.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty SwitchUserCommandProperty =
            DependencyProperty.Register("SwitchUserCommand", typeof(ICommand), typeof(UserInfo), new PropertyMetadata(default));



        public UserInformation User
        {
            get { return (UserInformation)GetValue(UserProperty); }
            set { SetValue(UserProperty, value); }
        }

        public static readonly DependencyProperty UserProperty =
            DependencyProperty.Register("User", typeof(UserInformation), typeof(UserInfo), new PropertyMetadata(default));
    }
}
