﻿namespace AlarmData;

public class AlarmData
{
    public byte Mini8Index { get; set; }
    public byte ChannelIndex { get; set; }
    public DateTime EventTime { get; set; }
    public AlarmLevel AlarmLevel { get; set; }
    public string? AlarmMini8 { get; set; }
    public string? AlarmChannel { get; set; }
    public string? ChannelName { get; set; }
    public string? AlarmDetail { get; set; }

    public float SetValue { get; set; }
    public float ActualValue { get; set; }
    public float UpperLimit { get; set; }
    public float LowerLimit { get; set; }
    public float UpperWarning { get; set; }
    public float LowerWarning { get; set; }
}

public enum AlarmLevel
{
    Message,
    Warning,
    Error
}