﻿using System.Xml.Serialization;

namespace HardwareData;
[XmlInclude(typeof(Mini8Data))]
public class Mini8Data
{
    public byte Index { get; set; }
    public string? Name { get; set; }
    public bool Enable { get; set; }
}

public class Mini8Address
{
    public byte Index { get; set; }
    public string? Address { get; set; }
    public int Port { get; set; }

    public int Interval { get; set; }

    public ushort GroupeCount { get; set; }
    public ushort TotalCount { get; set; }

    public ushort StartIndex { get; set; }

    public ushort LimitCount { get; set; }
    public ushort LimitStartIndex { get; set; }
}

public class PLCAddress
{
    public string? IPAddress { get; set; }

    public int Port { get; set; }
    public int Interval { get; set; }
    public string HeartBeatAddress { get; set; } = string.Empty;
}